%define localstatedir /var/lib

Summary:         Eye Of Gnome
Name:            eog
Version:         0.6
Release:         1_gpp
License:         GPL
Group:           Applications/Multimedia
Source:          ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:          eog-gconf-sysconfdir.patch
BuildRoot:       %{_tmpdir}/%{name}-%{version}-root
URL:             http://www.gnome.org
Prereq:          /sbin/install-info
Requires:        ORBit >= 0.5.0
Requires:        oaf >= 0.3.0
Requires:        gnome-print >= 0.25
Requires:        gdk-pixbuf >= 0.9.0
Requires:        bonobo >= 0.35
Requires:        GConf >= 0.8
BuildRequires:   gnome-libs-devel, libglade-devel, oaf-devel, GConf-devel
BuildRequires:   gdk-pixbuf-devel >= 0.9.0
BuildRequires:   gnome-print-devel >= 0.25
BuildRequires:   bonobo-devel >= 0.35

%description
This is the Eye of Gnome, an image viewer program.  It is meant to be
a fast and functional image viewer as well as an image cataloging
program.

%prep
%setup -q
%patch0 -p1

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
    CFLAGS="-pipe $RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} --localstatedir=%{localstatedir} \
	--bindir=%{_bindir} --datadir=%{_datadir}
fi

autoconf
automake

CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --localstatedir=%{localstatedir} \
    --bindir=%{_bindir} --datadir=%{_datadir}


if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    localstatedir=$RPM_BUILD_ROOT/%{localstatedir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

GCONF_CONFIG_SOURCE="" gconftool --makefile-install-rule %{_sysconfdir}/gconf/schemas/eog.schemas

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/gnome/apps/*
%{_datadir}/pixmaps/*
%{_datadir}/oaf/*
%{_datadir}/gnome/help/*
%{_sysconfdir}/gconf/schemas/*


%changelog
* Mon Jul  2 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- removed CORBA stuff
- cleaned up a couple of mistakes in the spec file
- added gconftool to the post install script
- added the schemas to the files list
- replaced gconf with GConf
- set GCONF_CONFIG_SOURCE to the null string
- used %find_lang

* Sun Jul  1 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- removed unnecessary %defines
- fixed file macros
- made setup quiet
- moved changelog to the end
- reformatted header
- replaced copyright with license

* Mon Sep 04 2000  Federico Mena Quintero  <federico@helixcode.com>
- Updated the spec file; it is still not guaranteed to work out of the
  box.

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>
- Created the .spec file
